Bug 1917163 - pipewire/pulseaudio? now locks desktop when using rhythmbox
Summary: pipewire/pulseaudio? now locks desktop when using rhythmbox
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 33
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-17 19:53 UTC by Dave O
Modified: 2021-02-06 01:17 UTC (History)
2 users (show)

Fixed In Version: pipewire-0.3.21-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-04 10:24:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Dave O 2021-01-17 19:53:02 UTC
Description of problem:
latest dnf update fails with this message:
file /usr/lib64/libldacBT_abr.so from install of libldac-2.0.2.3-7.fc33.x86_64 conflicts with file from package ldacbt-2.0.2-1.fc29.x86_64
  file /usr/lib64/libldacBT_enc.so from install of libldac-2.0.2.3-7.fc33.x86_64 conflicts with file from package ldacbt-2.0.2-1.fc29.x86_64

I used sudo dnf update --exclude  libldac 
to get the rest of the update installled. These do not get installed:

pipewire                              x86_64        0.3.19-3.fc33           updates                      121 k
 pipewire-gstreamer                    x86_64        0.3.19-3.fc33           updates                       52 k
 pipewire-libs                         x86_64        0.3.19-3.fc33           updates                      956 k

Now fedora locks up after a few minutes....

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. do sudo dnf update
2.
3.

Actual results:
listed above

Expected results:
update comlete

Additional info:

Comment 1 Wim Taymans 2021-01-22 12:57:04 UTC
try:

sudo dnf remove ldacbt

and then try again.

Comment 2 Dave O 2021-01-22 15:53:35 UTC
yep - at least everything installed.

Comment 3 Fedora Update System 2021-02-04 10:39:11 UTC
FEDORA-2021-f394ea10e9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f394ea10e9

Comment 4 Fedora Update System 2021-02-05 01:27:25 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d6d23603c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6d23603c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-02-06 01:17:53 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.